
.contact {
  text-align: left;
  grid-template-columns: 70% 30%;
  display: grid;
}

.contact .field {
  margin-bottom: 10px;
  grid-template-columns: 20% 80%;
  display: grid;
}

.contact .field label {
  font-weight: bold;
  padding-right: 15px;
  padding-top: 3px;
  text-transform: lowercase;
  border: 1px solid rgba(0,0,0,0.45);
  background-color: rgba(0,0,0,0.15);
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
  border-right-width: 0px;
  text-align: right;
}

.contact .field textarea {
  min-height: 200px;
  max-width: 100%;
}

.contact .field input,
.contact .field textarea {
  box-shadow: inset 0px 0px 2px rgba(0,0,0,0.15);
  border: 1px solid rgba(0,0,0,0.65);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  font-size: 14px;
  padding: 5px;
}

.contact .field input::selection,
.contact .field textarea::selection {
  background: rgba(0,0,0,0.25);
}

.contact .field input:focus,
.contact .field textarea:focus {
  outline: none !important;
  box-shadow: 0 0 5px #ff68a1;
  border: 1px solid #ff68a1;
}

.contact button {
  margin-bottom: 16px;
  margin-left: 20%;
  width: 100px;
  text-transform: uppercase;
  position: relative;
  color: rgba(0,0,0,0.55);
  font-weight: bold;
  border: 2px solid rgba(0,0,0,0.55);
  box-shadow: 0px 2px 0px rgba(0,0,0,0.50);
  font-size: 16px;
  min-width: 100px;
  border-radius: 4px;
  cursor: pointer;
  padding: 10px;
}

.contact button:active,
.contact button:focus {
  outline: none !important;
}

.contact button:active {
  box-shadow: 0px 0px 0px rgba(0,0,0,0.20);
  margin-top: 2px;
  margin-bottom: 14px;
  box-shadow: 0 0 5px #ff68a1;
  border: 2px solid #ff68a1;
  color: #ff68a1;
}

.contact form {
  padding-right: 15px;
}

.contact form textarea {
  resize: none;
}

.contact-header {
  font-size: 16px;
  padding-bottom: 15px;
  background-color: rgba(255,255,255,0.50);
  box-shadow: 0px 0px 1px rgba(0,0,0,0.20);
  padding-top: 15px;
  margin-bottom: 20px;
  border-bottom: 1px solid rgba(0,0,0,0.25);
  margin-left: -25px;
  margin-right: -25px;
  margin-top: -25px;
}

.contact .qr-container {
  border-left: 2px dashed rgba(0,0,0,0.40);
}

.contact .qr-container img {
  opacity: 0.80;
  padding-left: 15px;
  width: calc(100% - 15px);
}
